io.vertx.amqp.bridge

## Class AmqpBridgeOptions

- java.lang.Object
- - io.vertx.core.net.NetworkOptions
  - - io.vertx.core.net.TCPSSLOptions
    - - io.vertx.core.net.ClientOptionsBase
      - - io.vertx.core.net.NetClientOptions
        - - io.vertx.proton.ProtonClientOptions
          - - io.vertx.amqp.bridge.AmqpBridgeOptions

-     public class AmqpBridgeOptions
      extends io.vertx.proton.ProtonClientOptions

  Options for configuring the AmqpBridge.

- - ### Field Summary

    - ### Fields inherited from class io.vertx.core.net.NetClientOptions

      `DEFAULT_HOSTNAME_VERIFICATION_ALGORITHM, DEFAULT_RECONNECT_ATTEMPTS, DEFAULT_RECONNECT_INTERVAL`

    - ### Fields inherited from class io.vertx.core.net.ClientOptionsBase

      `DEFAULT_CONNECT_TIMEOUT, DEFAULT_METRICS_NAME, DEFAULT_TRUST_ALL`

    - ### Fields inherited from class io.vertx.core.net.TCPSSLOptions

      `DEFAULT_IDLE_TIMEOUT, DEFAULT_SO_LINGER, DEFAULT_SSL, DEFAULT_TCP_KEEP_ALIVE, DEFAULT_TCP_NO_DELAY, DEFAULT_USE_ALPN, DEFAULT_USE_POOLED_BUFFERS`

    - ### Fields inherited from class io.vertx.core.net.NetworkOptions

      `DEFAULT_LOG_ENABLED, DEFAULT_RECEIVE_BUFFER_SIZE, DEFAULT_REUSE_ADDRESS, DEFAULT_SEND_BUFFER_SIZE, DEFAULT_TRAFFIC_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmqpBridgeOptions()`
    `AmqpBridgeOptions(io.vertx.core.json.JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AmqpBridgeOptions` | `addCrlPath(String crlPath)`
    `AmqpBridgeOptions` | `addCrlValue(io.vertx.core.buffer.Buffer crlValue)`
    `AmqpBridgeOptions` | `addEnabledCipherSuite(String suite)`
    `AmqpBridgeOptions` | `addEnabledSaslMechanism(String saslMechanism)`
    `AmqpBridgeOptions` | `addEnabledSecureTransportProtocol(String protocol)`
    `AmqpBridgeOptions` | `setConnectTimeout(int connectTimeout)`
    `AmqpBridgeOptions` | `setHostnameVerificationAlgorithm(String hostnameVerificationAlgorithm)`
    `AmqpBridgeOptions` | `setIdleTimeout(int idleTimeout)`
    `AmqpBridgeOptions` | `setJdkSslEngineOptions(io.vertx.core.net.JdkSSLEngineOptions sslEngineOptions)`
    `AmqpBridgeOptions` | `setKeyCertOptions(io.vertx.core.net.KeyCertOptions options)`
    `AmqpBridgeOptions` | `setKeyStoreOptions(io.vertx.core.net.JksOptions options)`
    `AmqpBridgeOptions` | `setLogActivity(boolean logEnabled)`
    `AmqpBridgeOptions` | `setMetricsName(String metricsName)`
    `AmqpBridgeOptions` | `setOpenSslEngineOptions(io.vertx.core.net.OpenSSLEngineOptions sslEngineOptions)`
    `AmqpBridgeOptions` | `setPemKeyCertOptions(io.vertx.core.net.PemKeyCertOptions options)`
    `AmqpBridgeOptions` | `setPemTrustOptions(io.vertx.core.net.PemTrustOptions options)`
    `AmqpBridgeOptions` | `setPfxKeyCertOptions(io.vertx.core.net.PfxOptions options)`
    `AmqpBridgeOptions` | `setPfxTrustOptions(io.vertx.core.net.PfxOptions options)`
    `AmqpBridgeOptions` | `setProxyOptions(io.vertx.core.net.ProxyOptions proxyOptions)`
    `AmqpBridgeOptions` | `setReceiveBufferSize(int receiveBufferSize)`
    `AmqpBridgeOptions` | `setReconnectAttempts(int attempts)`
    `AmqpBridgeOptions` | `setReconnectInterval(long interval)`
    `AmqpBridgeOptions` | `setReuseAddress(boolean reuseAddress)`
    `AmqpBridgeOptions` | `setSendBufferSize(int sendBufferSize)`
    `AmqpBridgeOptions` | `setSoLinger(int soLinger)`
    `AmqpBridgeOptions` | `setSsl(boolean ssl)`
    `AmqpBridgeOptions` | `setSslEngineOptions(io.vertx.core.net.SSLEngineOptions sslEngineOptions)`
    `AmqpBridgeOptions` | `setTcpKeepAlive(boolean tcpKeepAlive)`
    `AmqpBridgeOptions` | `setTcpNoDelay(boolean tcpNoDelay)`
    `AmqpBridgeOptions` | `setTrafficClass(int trafficClass)`
    `AmqpBridgeOptions` | `setTrustAll(boolean trustAll)`
    `AmqpBridgeOptions` | `setTrustOptions(io.vertx.core.net.TrustOptions options)`
    `AmqpBridgeOptions` | `setTrustStoreOptions(io.vertx.core.net.JksOptions options)`
    `AmqpBridgeOptions` | `setUseAlpn(boolean useAlpn)`
    `AmqpBridgeOptions` | `setUsePooledBuffers(boolean usePooledBuffers)`

    - ### Methods inherited from class io.vertx.proton.ProtonClientOptions

      `equals, getEnabledSaslMechanisms, hashCode`

    - ### Methods inherited from class io.vertx.core.net.NetClientOptions

      `getHostnameVerificationAlgorithm, getReconnectAttempts, getReconnectInterval`

    - ### Methods inherited from class io.vertx.core.net.ClientOptionsBase

      `getConnectTimeout, getMetricsName, getProxyOptions, isTrustAll`

    - ### Methods inherited from class io.vertx.core.net.TCPSSLOptions

      `getCrlPaths, getCrlValues, getEnabledCipherSuites, getEnabledSecureTransportProtocols, getIdleTimeout, getKeyCertOptions, getSoLinger, getSslEngineOptions, getTrustOptions, isSsl, isTcpKeepAlive, isTcpNoDelay, isUseAlpn, isUsePooledBuffers`

    - ### Methods inherited from class io.vertx.core.net.NetworkOptions

      `getLogActivity, getReceiveBufferSize, getSendBufferSize, getTrafficClass, isReuseAddress`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AmqpBridgeOptions

          public AmqpBridgeOptions()

    - #### AmqpBridgeOptions

          public AmqpBridgeOptions(io.vertx.core.json.JsonObject json)

  - ### Method Detail

    - #### addEnabledSaslMechanism

          public AmqpBridgeOptions addEnabledSaslMechanism(String saslMechanism)

      Overrides:
        `addEnabledSaslMechanism` in class `io.vertx.proton.ProtonClientOptions`

    - #### setSendBufferSize

          public AmqpBridgeOptions setSendBufferSize(int sendBufferSize)

      Overrides:
        `setSendBufferSize` in class `io.vertx.proton.ProtonClientOptions`

    - #### setReceiveBufferSize

          public AmqpBridgeOptions setReceiveBufferSize(int receiveBufferSize)

      Overrides:
        `setReceiveBufferSize` in class `io.vertx.proton.ProtonClientOptions`

    - #### setReuseAddress

          public AmqpBridgeOptions setReuseAddress(boolean reuseAddress)

      Overrides:
        `setReuseAddress` in class `io.vertx.proton.ProtonClientOptions`

    - #### setTrafficClass

          public AmqpBridgeOptions setTrafficClass(int trafficClass)

      Overrides:
        `setTrafficClass` in class `io.vertx.proton.ProtonClientOptions`

    - #### setTcpNoDelay

          public AmqpBridgeOptions setTcpNoDelay(boolean tcpNoDelay)

      Overrides:
        `setTcpNoDelay` in class `io.vertx.proton.ProtonClientOptions`

    - #### setTcpKeepAlive

          public AmqpBridgeOptions setTcpKeepAlive(boolean tcpKeepAlive)

      Overrides:
        `setTcpKeepAlive` in class `io.vertx.proton.ProtonClientOptions`

    - #### setSoLinger

          public AmqpBridgeOptions setSoLinger(int soLinger)

      Overrides:
        `setSoLinger` in class `io.vertx.proton.ProtonClientOptions`

    - #### setUsePooledBuffers

          public AmqpBridgeOptions setUsePooledBuffers(boolean usePooledBuffers)

      Overrides:
        `setUsePooledBuffers` in class `io.vertx.proton.ProtonClientOptions`

    - #### setIdleTimeout

          public AmqpBridgeOptions setIdleTimeout(int idleTimeout)

      Overrides:
        `setIdleTimeout` in class `io.vertx.proton.ProtonClientOptions`

    - #### setSsl

          public AmqpBridgeOptions setSsl(boolean ssl)

      Overrides:
        `setSsl` in class `io.vertx.proton.ProtonClientOptions`

    - #### setKeyStoreOptions

          public AmqpBridgeOptions setKeyStoreOptions(io.vertx.core.net.JksOptions options)

      Overrides:
        `setKeyStoreOptions` in class `io.vertx.proton.ProtonClientOptions`

    - #### setPfxKeyCertOptions

          public AmqpBridgeOptions setPfxKeyCertOptions(io.vertx.core.net.PfxOptions options)

      Overrides:
        `setPfxKeyCertOptions` in class `io.vertx.proton.ProtonClientOptions`

    - #### setPemKeyCertOptions

          public AmqpBridgeOptions setPemKeyCertOptions(io.vertx.core.net.PemKeyCertOptions options)

      Overrides:
        `setPemKeyCertOptions` in class `io.vertx.proton.ProtonClientOptions`

    - #### setTrustStoreOptions

          public AmqpBridgeOptions setTrustStoreOptions(io.vertx.core.net.JksOptions options)

      Overrides:
        `setTrustStoreOptions` in class `io.vertx.proton.ProtonClientOptions`

    - #### setPemTrustOptions

          public AmqpBridgeOptions setPemTrustOptions(io.vertx.core.net.PemTrustOptions options)

      Overrides:
        `setPemTrustOptions` in class `io.vertx.proton.ProtonClientOptions`

    - #### setPfxTrustOptions

          public AmqpBridgeOptions setPfxTrustOptions(io.vertx.core.net.PfxOptions options)

      Overrides:
        `setPfxTrustOptions` in class `io.vertx.proton.ProtonClientOptions`

    - #### addEnabledCipherSuite

          public AmqpBridgeOptions addEnabledCipherSuite(String suite)

      Overrides:
        `addEnabledCipherSuite` in class `io.vertx.proton.ProtonClientOptions`

    - #### addCrlPath

          public AmqpBridgeOptions addCrlPath(String crlPath)
                                       throws NullPointerException

      Overrides:
        `addCrlPath` in class `io.vertx.proton.ProtonClientOptions`
      Throws:
        `NullPointerException`

    - #### addCrlValue

          public AmqpBridgeOptions addCrlValue(io.vertx.core.buffer.Buffer crlValue)
                                        throws NullPointerException

      Overrides:
        `addCrlValue` in class `io.vertx.proton.ProtonClientOptions`
      Throws:
        `NullPointerException`

    - #### setTrustAll

          public AmqpBridgeOptions setTrustAll(boolean trustAll)

      Overrides:
        `setTrustAll` in class `io.vertx.proton.ProtonClientOptions`

    - #### setConnectTimeout

          public AmqpBridgeOptions setConnectTimeout(int connectTimeout)

      Overrides:
        `setConnectTimeout` in class `io.vertx.proton.ProtonClientOptions`

    - #### setReconnectAttempts

          public AmqpBridgeOptions setReconnectAttempts(int attempts)

      Overrides:
        `setReconnectAttempts` in class `io.vertx.proton.ProtonClientOptions`

    - #### setReconnectInterval

          public AmqpBridgeOptions setReconnectInterval(long interval)

      Overrides:
        `setReconnectInterval` in class `io.vertx.proton.ProtonClientOptions`

    - #### setUseAlpn

          public AmqpBridgeOptions setUseAlpn(boolean useAlpn)

      Overrides:
        `setUseAlpn` in class `io.vertx.proton.ProtonClientOptions`

    - #### addEnabledSecureTransportProtocol

          public AmqpBridgeOptions addEnabledSecureTransportProtocol(String protocol)

      Overrides:
        `addEnabledSecureTransportProtocol` in class `io.vertx.proton.ProtonClientOptions`

    - #### setHostnameVerificationAlgorithm

          public AmqpBridgeOptions setHostnameVerificationAlgorithm(String hostnameVerificationAlgorithm)

      Overrides:
        `setHostnameVerificationAlgorithm` in class `io.vertx.proton.ProtonClientOptions`

    - #### setKeyCertOptions

          public AmqpBridgeOptions setKeyCertOptions(io.vertx.core.net.KeyCertOptions options)

      Overrides:
        `setKeyCertOptions` in class `io.vertx.proton.ProtonClientOptions`

    - #### setLogActivity

          public AmqpBridgeOptions setLogActivity(boolean logEnabled)

      Overrides:
        `setLogActivity` in class `io.vertx.proton.ProtonClientOptions`

    - #### setMetricsName

          public AmqpBridgeOptions setMetricsName(String metricsName)

      Overrides:
        `setMetricsName` in class `io.vertx.proton.ProtonClientOptions`

    - #### setProxyOptions

          public AmqpBridgeOptions setProxyOptions(io.vertx.core.net.ProxyOptions proxyOptions)

      Overrides:
        `setProxyOptions` in class `io.vertx.proton.ProtonClientOptions`

    - #### setTrustOptions

          public AmqpBridgeOptions setTrustOptions(io.vertx.core.net.TrustOptions options)

      Overrides:
        `setTrustOptions` in class `io.vertx.proton.ProtonClientOptions`

    - #### setJdkSslEngineOptions

          public AmqpBridgeOptions setJdkSslEngineOptions(io.vertx.core.net.JdkSSLEngineOptions sslEngineOptions)

      Overrides:
        `setJdkSslEngineOptions` in class `io.vertx.proton.ProtonClientOptions`

    - #### setOpenSslEngineOptions

          public AmqpBridgeOptions setOpenSslEngineOptions(io.vertx.core.net.OpenSSLEngineOptions sslEngineOptions)

      Overrides:
        `setOpenSslEngineOptions` in class `io.vertx.proton.ProtonClientOptions`

    - #### setSslEngineOptions

          public AmqpBridgeOptions setSslEngineOptions(io.vertx.core.net.SSLEngineOptions sslEngineOptions)

      Overrides:
        `setSslEngineOptions` in class `io.vertx.proton.ProtonClientOptions`

Copyright © 2016. All rights reserved.